<%
  Dim oConn
  
  Public Sub OpenConnection()
    Dim oWSH, database_type, database, host, port, username, password
    
    Set oWSH = Server.CreateObject("WScript.Shell")
    database_type = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseType")
    database = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseName")
    host = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseHost")
    port = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabasePort")
    username = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseUsername")
    password = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabasePassword")

    If database_type = "SQL Server" Then
      strConn = "Provider=SQLOLEDB;Initial Catalog=" & database & ";Data Source=" & host & ";uid=" & username & ";password=" & password
    End If
    If database_type = "MySQL" Then
      strConn = "Driver={MySQL ODBC 3.51 Driver};Server=" & host & ";Port=" & port & ";Database=" & database & ";Uid=" & username & ";Pwd=" & password & ";Option=16387"
    End If
    If database_type = "Oracle" Then
      strConn = "Driver={Microsoft ODBC Driver for Oracle};ConnectString=" & database & ";Uid=" & username & ";Pwd=" & password & ";"
    End If
    
    Set oConn = Server.CreateObject("ADODB.Connection")  
    oConn.Open strConn
  End Sub
  
  Public Sub CloseConnection()
    oConn.Close
    Set oConn = Nothing
  End Sub
  
  Public Function FormatInternationalDate(str)
    If IsDate(str) Then
      str = CDate(str)
      FormatInternationalDate = Day(str) & " " & MonthName(Month(str)) & " " & Year(str)
    Else
      FormatInternationalDate  = ""
    End If
  End Function
  
  Class clsIISBMConfig
    Public database_type, database, host, port, username, password, refresh_interval, delay, smtp_server, smtp_port, smtp_username, smtp_password
    Private Sub Class_Initialize
      Set oWSH = Server.CreateObject("WScript.Shell")
      database_type = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseType")
      database = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseName")
      host = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseHost")
      port = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabasePort")
      username = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseUsername")
      password = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabasePassword")

      refresh_interval = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\RefreshInterval")
      delay = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\Delay")

      smtp_server = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\SmtpServer")
      smtp_port = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\SmtpPort")
      smtp_username = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\SmtpUsername")
      smtp_password = oWSH.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\SmtpPassword")
      Set oWSH = Nothing
    End Sub
    
    Public Sub Save()
      Set oWSH = Server.CreateObject("WScript.Shell")
      On Error Resume Next
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseType", database_type, "REG_SZ"
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseName", database, "REG_SZ"
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseHost", host, "REG_SZ"
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabasePort", port, "REG_SZ"
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabaseUsername", username, "REG_SZ"
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\DatabasePassword", password, "REG_SZ"

      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\RefreshInterval", refresh_interval, "REG_DWORD"
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\Delay", delay, "REG_DWORD"

      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\SmtpServer", smtp_server, "REG_SZ"
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\SmtpPort", smtp_port, "REG_DWORD"
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\SmtpUsername", smtp_username, "REG_SZ"
      oWSH.RegWrite "HKEY_LOCAL_MACHINE\SOFTWARE\WAETech\IIS Bandwidth Monitor\SmtpPassword", smtp_password, "REG_SZ"
      
      If Err.Number <> 0 Then
        Response.Write "I was unable to save the changes.  Does this web application have rights to update the registry?  Use regedit to find out."
      End If
      
      On Error Goto 0
      Set oWSH = Nothing
    End Sub
  End Class
%>