<!-- #include file="common.asp" -->

<%
  action = Trim(Request.Form("action"))
  message = Trim(Request.QueryString("message"))
  Set oConfig = new clsIISBMConfig
  
  If action = "process" Then
    oConfig.database_type = Trim(Request.Form("database_type"))
    oConfig.database = Trim(Request.Form("database"))
    oConfig.host = Trim(Request.Form("host"))
    oConfig.port = Trim(Request.Form("port"))
    oConfig.username = Trim(Request.Form("username"))
    oConfig.password = Trim(Request.Form("password"))
    oConfig.refresh_interval = Trim(Request.Form("refresh_interval"))
    oConfig.delay = Trim(Request.Form("delay"))
    oConfig.smtp_server = Trim(Request.Form("smtp_server"))
    oConfig.smtp_port = Trim(Request.Form("smtp_port"))
    oConfig.smtp_username = Trim(Request.Form("smtp_username"))
    oConfig.smtp_password = Trim(Request.Form("smtp_password"))
    oConfig.Save
    
    Response.Redirect Request.ServerVariables("script_name") & "?message=" & Server.URLEncode("The settings are saved.  Restart IISBM to make them take effect.")
  End If
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <title>IIS Bandwidth Monitor Configuration</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
    <style type="text/css">
      body {
        background-color: white;
        font-family: verdana, arial, sans-serif;
        margin: 0;
        padding: 10px;
      }
      h1 {
        font-size: x-large;
        display: block;
        padding: 5px 0;
        text-align: center;
        border-bottom: solid 5px #EEEEEE;
        background-color: navy;
        color: white;
        margin: 0;
      }
      h2 { 
        margin: 5px 0;
        padding: 0;
        font-weight: normal;
      }
      label, th { 
        display: block;
        font-weight: bold;
        color: navy;
        padding-top: 10px;
        text-align: left;
      }
      .explainer {
        font-size: x-small;
        display: block;
        padding: 5px 0;
        color: #666666;
      }
      .default {
        font-size: small;
        color: #666666;
      }
      #message {
        font-size: large;
        display: block;
        padding: 5px 0;
        background-color: #EEEEEE;
        text-align: center;
        border-bottom: solid 1px navy;
      }
      .footer {
        font-size: small;
      }
      form {
        padding: 0;
        margin: 0;
      }
    </style>
  </head>
  <body>
    <a href="http://www.waetech.com/"><img src="http://concepts.waetech.com/waeTechnologies.gif" width="520" height="75" border="0" alt="WAE Technologies" /></a>
    <h1>IIS Bandwidth Monitor Configuration</h1>
  <% If Len(message) > 0 Then %>
    <div id="message"><%= message %></div>
  <% End If %>
    <form method="post" action="<%= Request.ServerVariables("script_name") %>">
      <input type="hidden" name="action" value="process" />
      <div style="width: 49%; float: left; margin-top: 15px;">
        <h2>Database Connectivity</h2>
        <label for="database_id">Database Type/Name</label>
        <select name="database_type" id="database_type_id">
          <option value="None"<% If oConfig.database_type = "None" Then Response.Write " selected=""selected""" %>>None</option>
          <option value="SQL Server"<% If oConfig.database_type = "SQL Server" Then Response.Write " selected=""selected""" %>>SQL Server</option>
          <option value="MySQL"<% If oConfig.database_type = "MySQL" Then Response.Write " selected=""selected""" %>>MySQL</option>
        </select>
        <input type="text" name="database" id="database_id" value="<%= oConfig.database %>" tabindex="1" /> <span class="default">(default = yourdbname)</span>
        <label for="host_id">Database Host</label>
        <span class="explainer">If the database is hosted locally, use (local).  Otherwise, enter in the machine BIOS name, IP, or FQDN.  Make sure that the firewall permits traffic from this machine to the database machine.</span>
        <input type="text" name="host" id="host_id" value="<%= oConfig.host %>" tabindex="2" size="10" /> <input type="text" name="port" id="port_id" value="<%= oConfig.port %>" tabindex="3" size="4" /> <span class="default">(default = (local))</span>
        <label for="username_id">Database Username</label>
        <span class="explainer">Make sure that this user has SELECT and INSERT rights to the IISBM tables--IISBM_hit, IISBM_config, and IISBM_log.</span>
        <input type="text" name="username" id="username_id" value="<%= oConfig.username %>" tabindex="4" /> <span class="default">(default = user_iisbm)</span>
        <label for="password_id">Database Password</label>
        <input type="text" name="password" id="password_id" value="<%= oConfig.password %>" tabindex="5" /> <span class="default">(default = iisbm)</span>
      </div>
      <div style="width: 49%; float: right; margin-top: 15px;">
        <h2>Mail Server Connectivity</h2>
        <label for="smtp_server_id">SMTP Server</label>
        <input type="text" name="smtp_server" id="smtp_server_id" value="<%= oConfig.smtp_server %>" tabindex="6" /> <span class="default">(default = localhost)</span>
        <label for="smtp_post_id">SMTP Server Port</label>
        <input type="text" name="smtp_port" id="smtp_port_id" value="<%= oConfig.smtp_port %>" tabindex="7" /> <span class="default">(default = 25)</span>
        <label for="smtp_username_id">Username</label>
        <span class="explainer">Enter in the username and password if the mail server requires authentication to send mail.  Leave this blank if you do not need to use authentication.</span>
        <input type="text" name="smtp_username" id="smtp_username_id" value="<%= oConfig.smtp_username %>" tabindex="8" /> <span class="default">(default = &lt;blank&gt;)</span>
        <label for="smtp_password_id">Password</label>
        <input type="text" name="smtp_password" id="smtp_password_id" value="<%= oConfig.smtp_password %>" tabindex="9" /> <span class="default">(default = &lt;blank&gt;)</span>
      </div>
      <div style="clear: both"> </div>
      <div style="width: 49%; float: left; margin-top: 15px;">
        <h2>Polling Interval</h2>
        <label for="refresh_interval_id">Refresh Interval (ms)</label>
        <span class="explainer">How often should the information be logged to the database.  This can be as long as you would like, but should be no fewer than once an hour.  The valued entered here represents the delay between refreshes, in millisecongs (1/1000 of a second).</span>
        <input type="text" name="refresh_interval" id="refresh_interval_id" value="<%= oConfig.refresh_interval %>" tabindex="10" /> <span class="default">(default = 300000)</span>
        <label for="delay_id">Delay (ms)</label>
        <span class="explainer">Delay between processing sites, in milliseconds.  This value should be somewhere between 50 and 250.  Higher numbers mean that the effect on CPU usage will lessened.  Values greater than 250 are assumed to be 250.</span>
        <input type="text" name="delay" id="delay_id" value="<%= oConfig.delay %>" tabindex="11" /> <span class="default">(default = 50)</span>
      </div>
      <div style="width: 49%; float: right; margin-top: 15px;">
        <h2>Manual Configuration</h2>
        <span class="explainer">This file, config.asp, is provided as a convenience for updating the settings used by IIS Bandwidth Monitor.  If you wish to configure IIS Bandwidth Monitor without the assistance of this page, you may do so by simply updating the registry keys under HKLM\SOFTWARE\WAETech\IIS Bandwidth Monitor\.</span>
        <h2>Bandwidth Monitoring</h2>
        <p><a href="bandwidth.asp">Manage sites with bandwidth limitations</a>.</p>
      </div>
      <div style="clear: both"> </div>
      <div style="padding: 5px; background-color: #EEEEEE; text-align: center; border-top: solid 1px navy; margin-top: 10px;">
        <input type="submit" value="Save/Update" tabindex="12" />
        <input type="reset" value="Reset Form" tabindex="13" />
      </div>
    </form>
    <div class="footer">
      Copyright &copy; 2003 - <%= Year(Now()) %> by <a href="http://www.waetech.com/">WAE Tech Inc</a>.  All rights reserved.
    </div>
  </body>
</html>
<%
  Set oConfig = Nothing
%>