<!-- #include file="common.asp" -->

<!-- #include file="clsReport.asp" -->

<%
  instance = Request("instance")
  If "" & instance = "" Then
    instance = "%"
  End If
  
  OpenConnection()
  
  month_start = "1 " & MonthName(Month(DateAdd("m", -1, Now()))) & " " & Year(Now())
  month_end = FormatInternationalDate(DateAdd("d", -1, DateAdd("m", 1, CDate(month_start))))  
  
  strSQL = "EXEC iisbm_report_instancebymonth @instance='" & instance & "', @date_start='" & month_start & "', @date_end='" & month_end & "'"

  Set oRS = oConn.Execute(strSQL)
  
    table_start = "<table width=""100%"" border=""0"" cellspacing=""5"">"
  
    row_start = "<tr><td>"
    row_end = "</td></tr>" & vbCRLF
    column_divider = "</td><td>"
  
    group_row_start = "<tr class=""group""><td>"
    group_row_end = "</td></tr>" & vbCRLF
    group_divider = "</td><td>"
    
    header_start = "<tr class=""header""><td>"
    header_end = "</td></tr>" & vbCRLF
  
    blank = "&nbsp;"
    table_end = "</table>"
    
  Set oReport = new clsReport
  Set c = oReport.AddColumn("aaa", blank, "string")
  c.display = false
  oReport.AddColumn "instance", "Website", "string"
  oReport.AddColumn "total", "Total", "numberformat"
  oReport.AddColumn "sent", "Sent", "numberformat"
  oReport.AddColumn "received", "Received", "numberformat"
  oReport.AddColumn "get_hits", "GETs", "numberformat"
  oReport.AddColumn "post_hits", "POSTs", "numberformat"
  
  Set g = oReport.AddGroup("aaa", "Grand Total For All Sites")
  g.AddAggregate "total", "sum"
  g.AddAggregate "sent", "sum"
  g.AddAggregate "received", "sum"
  g.AddAggregate "get_hits", "sum"
  g.AddAggregate "post_hits", "sum"
  g.name_column_number = 1

  oReport.row_start = row_start
  oReport.column_divider = column_divider
  oReport.row_end = row_end
  oReport.group_row_start = group_row_start
  oReport.group_row_end = group_row_end
  oReport.group_divider = group_divider
  oReport.header_start = header_start
  oReport.header_end = header_end
  oReport.blank = blank    
  
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
	<title>Bandwidth Usage</title>
  <style type="text/css">
    .group td {
      font-weight: bold;
      border-top: solid 2px black;
    }
    
    .header td {
      font-weight: bold;
      border-bottom: double 3px black;
    }    
    
    h1 {
      margin-bottom: 0;
      padding-bottom: 0; 
      line-height: .8em; 
      border-bottom: dashed 1px black;
    }
    
    body {
      background-color: white;
    }
  </style>
</head>

<body>

  <h1>Total Bandwidth Usage By Site</h1>
  <p style="margin-top: 0; text-align: right; font-style: italic;">For the month of <%= MonthName(Month(CDate(month_start))) & " "  & Year(CDate(month_start)) %></p>
  <%

    
    Response.Write table_start
    Response.Write oReport.Generate(oRS)
    Response.Write table_end    
  %>
  </table>

</body>
</html>

<%
  oRS.Close
  Set oRS = Nothing
  CloseConnection()
%>
